OpenTTD Source: AirportTileTableIterator Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Private Attributes
AirportTileTableIterator Class Reference

Iterator to iterate over all tiles belonging to an airport spec. More...

`#include <newgrf_airport.h>`

Inheritance diagram for AirportTileTableIterator:

## Public Member Functions
| AirportTileTableIterator (std::span< const AirportTileTable > att, TileIndex base_tile)
| Construct the iterator.
TileIterator & | operator++ () override
| Move ourselves to the next tile in the rectangle on the map.
StationGfx | GetStationGfx () const
| Get the StationGfx for the current tile.
std::unique_ptr< TileIterator > | Clone () const override
| Allocate a new iterator that is a copy of this one.
Public Member Functions inherited from TileIterator
| operator TileIndex () const
| Get the tile we are currently at.
TileIndex | operator* () const
| Get the tile we are currently at.
bool | operator== (const TileIterator &rhs) const
| Equality comparison.
bool | operator== (const TileIndex &rhs) const
| Equality comparison.

## Private Attributes
std::span< const AirportTileTable > | att
| The offsets.
TileIndex | base_tile
| The tile we base the offsets off.
std::span< constAirportTileTable >::iterator | iter

## Additional Inherited Members
Static Public Member Functions inherited from TileIterator
static std::unique_ptr< TileIterator > | Create (TileIndex corner1, TileIndex corner2, bool diagonal)
| Create either an OrthogonalTileIterator or DiagonalTileIterator given the diagonal parameter.
Protected Member Functions inherited from TileIterator
| TileIterator (TileIndex tile=INVALID_TILE)
| Initialise the iterator starting at this tile.
Protected Attributes inherited from TileIterator
TileIndex | tile
| The current tile we are at.

## Detailed Description

Iterator to iterate over all tiles belonging to an airport spec.

Definition at line 32 of file newgrf_airport.h.

## Constructor & Destructor Documentation

## ◆ AirportTileTableIterator()

AirportTileTableIterator::AirportTileTableIterator | ( | std::span< const AirportTileTable > | att,
|  | TileIndex | base_tile
| ) |  |
| inline

Construct the iterator.

Parameters

  att | The TileTable we want to iterate over.
  base_tile | The basetile for all offsets.

Definition at line 44 of file newgrf_airport.h.

## Member Function Documentation

## ◆ Clone()

std::unique_ptr< TileIterator > AirportTileTableIterator::Clone | ( |  | ) | const
| inlineoverridevirtual

Allocate a new iterator that is a copy of this one.

Implements TileIterator.

Definition at line 67 of file newgrf_airport.h.

## ◆ GetStationGfx()

StationGfx AirportTileTableIterator::GetStationGfx | ( |  | ) | const
| inline

Get the StationGfx for the current tile.

Definition at line 62 of file newgrf_airport.h.

## ◆ operator++()

TileIterator & AirportTileTableIterator::operator++ | ( |  | ) |
| inlineoverridevirtual

Move ourselves to the next tile in the rectangle on the map.

Implements TileIterator.

Definition at line 50 of file newgrf_airport.h.

References att, INVALID_TILE, TileIterator::tile, and ToTileIndexDiff().

## Field Documentation

## ◆ att

std::span<const AirportTileTable> AirportTileTableIterator::att
| private

The offsets.

Definition at line 34 of file newgrf_airport.h.

Referenced by operator++().

## ◆ base_tile

TileIndex AirportTileTableIterator::base_tile
| private

The tile we base the offsets off.

Definition at line 35 of file newgrf_airport.h.

## ◆ iter

std::span<constAirportTileTable>::iterator AirportTileTableIterator::iter
| private

Definition at line 36 of file newgrf_airport.h.

The documentation for this class was generated from the following file:

- src/newgrf_airport.h